scala.tools.nsc

# CompileServer

#### object CompileServer extends StandardCompileServer

Linear Supertypes
StandardCompileServer, SocketServer, CompileOutputCommon, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompileServer
2. StandardCompileServer
3. SocketServer
4. CompileOutputCommon
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val BufferSize: Int

   Definition Classes
     SocketServer

7. #### val MaxCharge: Double

   Definition Classes
     StandardCompileServer

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### lazy val compileSocket: CompileSocket

    Definition Classes
      StandardCompileServer

11. #### def createServerSocket(): ServerSocket

    Attributes
      protected
    Definition Classes
      SocketServer

12. #### def doSession(clientSocket: Socket): Unit

    Definition Classes
      SocketServer

13. #### def echo(msg: String): Unit

    Definition Classes
      CompileOutputCommon

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def execute(startupCallback: () ⇒ Unit, args: Array[String]): Unit

    Used for internal testing.

    Used for internal testing. The callback is called upon server start, notifying the caller that the server is ready to run. WARNING: the callback runs in the server's thread, blocking the server from doing any work until the callback is finished. Callbacks should be kept simple and clients should not try to interact with the server while the callback is processing.

17. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### var idleMinutes: Int

    Attributes
      protected
    Definition Classes
      SocketServer

22. #### var in: BufferedReader

    Definition Classes
      SocketServer

23. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isMemoryFullEnough(): Boolean

    Definition Classes
      StandardCompileServer

26. #### def main(args: Array[String]): Unit

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### def newGlobal(settings: Settings, reporter: Reporter): Global

    Create a new compiler instance

    Create a new compiler instance

    Definition Classes
      StandardCompileServer

29. #### def newOfflineCompilerCommand(arguments: List[String], settings: FscSettings): OfflineCompilerCommand

    Attributes
      protected
    Definition Classes
      StandardCompileServer

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### var out: PrintWriter

    Definition Classes
      SocketServer

33. #### lazy val port: Int

    Definition Classes
      SocketServer

34. #### def printMemoryStats(): Unit

    Definition Classes
      StandardCompileServer

35. #### var reporter: ConsoleReporter

    Definition Classes
      StandardCompileServer

36. #### def run(): Unit

    Definition Classes
      SocketServer

37. #### lazy val serverSocket: ServerSocket

    Definition Classes
      SocketServer

38. #### def session(): Unit

    Definition Classes
      StandardCompileServer → SocketServer

39. #### var shutdown: Boolean

    Definition Classes
      StandardCompileServer → SocketServer

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def timeout(): Unit

    Definition Classes
      StandardCompileServer → SocketServer

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### def unequalSettings(s1: Settings, s2: Settings): Set[Settings.Setting]

    Problematically, Settings are only considered equal if every setting is exactly equal.

    Problematically, Settings are only considered equal if every setting is exactly equal. In fsc this immediately breaks down because the randomly chosen temporary outdirs differ between client and server. Among other things. Long term we could use a meaningful equality; short term I'm just ignoring options which I can see causing a new compiler instance every time and which do not interestingly influence compilation products.

    Definition Classes
      StandardCompileServer

44. #### var verbose: Boolean

    Definition Classes
      StandardCompileServer → CompileOutputCommon

45. #### val versionMsg: String

    Definition Classes
      StandardCompileServer

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

### Inherited from StandardCompileServer

### Inherited from SocketServer

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped